<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目经理交底页面</title>
	<meta name="decorator" content="ani"/>
	<!-- SUMMERNOTE -->
	<%@include file="/webpage/include/summernote.jsp" %>
	<script type="text/javascript">

		$(document).ready(function() {
			jp.ajaxForm("#inputForm",function(data){
				if(data.success){
					jp.success(data.msg);
					jp.go("${ctx}/managementcenter/divide");
				}else{
					jp.error(data.msg);
					$("#inputForm").find("button:submit").button("reset");
				}
			});


			$("#agree").click(function () {
				var conId = $("#id").val();
				var channel = $("#channel").val();
				var capacity = $("#capacity").val();
				var sceneSize = $("#sceneSize").val();
				var capacitySize = $("#capacitySize").val();
				var hiddenDanger = $("#hiddenDanger").val();
				var influenceConstruction = $("#influenceConstruction").val();
				var projectRepetition = $("#projectRepetition").val();
				var implemented = $("#implemented").val();
				var transformer = $("#transformer").val();
				var lineName = $("#lineName").val();
				var quantities = $("#quantities").val();
				var rodNumber = $("#rodNumber").val();
				var administrationType = $("#administrationType").val();
				var politicalProblem = $("#politicalProblem").val();
				var precondition = $("#precondition").val();
				var placementMode = $("#placementMode").val();
				var productionDate = $("#productionDate").val();
				var IntegrateModule = $("#IntegrateModule").val();
				var needReplace = $("#needReplace").val();
				var overallTransformation = $("#overallTransformation").val();
				jp.prompt("没有问题, 审批意见", function (message) {
					jp.post("${ctx}/act/task/audit3",
							{
								"taskId":"${construction.act.taskId}",
								"taskName":"${construction.act.taskName}",
								"taskDefKey":"${construction.act.taskDefKey}",
								"procInsId":"${construction.act.procInsId}",
								"procDefId":"${construction.act.procDefId}",
								"flag":"yes",
								"comment":window.encodeURI(message),
								"conId":conId,
								"channel":channel,
								"capacity":capacity,
								"sceneSize":sceneSize,
								"capacitySize":capacitySize,
								"hiddenDanger":hiddenDanger,
								"influenceConstruction":influenceConstruction,
								"projectRepetition":projectRepetition,
								"implemented":implemented,
								"transformer":transformer,
								"lineName":lineName,
								"quantities":quantities,
								"rodNumber":rodNumber,
								"administrationType":administrationType,
								"politicalProblem":politicalProblem,
								"precondition":precondition,
								"placementMode":placementMode,
								"productionDate":productionDate,
								"IntegrateModule":IntegrateModule,
								"needReplace":needReplace,
								"overallTransformation":overallTransformation
							},
							function (data) {
								if(data.success){
									jp.success(data.msg);
									jp.go("${ctx}/act/task/todo")
								}
							})
				})
			})


			$("#reject").click(function () {
				jp.prompt("存在问题, 审批意见", function (message) {
					var conId = $("#id").val();
					var channel = $("#channel").val();
					var capacity = $("#capacity").val();
					var sceneSize = $("#sceneSize").val();
					var capacitySize = $("#capacitySize").val();
					var hiddenDanger = $("#hiddenDanger").val();
					var influenceConstruction = $("#influenceConstruction").val();
					var projectRepetition = $("#projectRepetition").val();
					var implemented = $("#implemented").val();
					var transformer = $("#transformer").val();
					var lineName = $("#lineName").val();
					var quantities = $("#quantities").val();
					var rodNumber = $("#rodNumber").val();
					var administrationType = $("#administrationType").val();
					var politicalProblem = $("#politicalProblem").val();
					var precondition = $("#precondition").val();
					var placementMode = $("#placementMode").val();
					var productionDate = $("#productionDate").val();
					var IntegrateModule = $("#IntegrateModule").val();
					var needReplace = $("#needReplace").val();
					var overallTransformation = $("#overallTransformation").val();
					jp.post("${ctx}/act/task/audit3",
							{
								"taskId":"${construction.act.taskId}",
								"taskName":"${construction.act.taskName}",
								"taskDefKey":"${construction.act.taskDefKey}",
								"procInsId":"${construction.act.procInsId}",
								"procDefId":"${construction.act.procDefId}",
								"flag":"yes",
								"comment":window.encodeURI(message),
								"conId":conId,
								"channel":channel,
								"capacity":capacity,
								"sceneSize":sceneSize,
								"capacitySize":capacitySize,
								"hiddenDanger":hiddenDanger,
								"influenceConstruction":influenceConstruction,
								"projectRepetition":projectRepetition,
								"implemented":implemented,
								"transformer":transformer,
								"lineName":lineName,
								"quantities":quantities,
								"rodNumber":rodNumber,
								"administrationType":administrationType,
								"politicalProblem":politicalProblem,
								"precondition":precondition,
								"placementMode":placementMode,
								"productionDate":productionDate,
								"IntegrateModule":IntegrateModule,
								"needReplace":needReplace,
								"overallTransformation":overallTransformation
							},
							function (data) {
								if(data.success){
									jp.success(data.msg);
									jp.go("${ctx}/act/task/todo")
								}
							})
				})
			})


			$('#startTime').datetimepicker({
				format: "YYYY-MM-DD HH:mm:ss"
			});
			$('#endTime').datetimepicker({
				format: "YYYY-MM-DD HH:mm:ss"
			});
			//富文本初始化
			$('#reason').summernote({
				height: 300,
				lang: 'zh-CN',
				readonly: true,
				callbacks: {
					onChange: function(contents, $editable) {
						$("input[name='reason']").val($('#reason').summernote('code'));//取富文本的值
					}
				}
			});
		});
	</script>
</head>
<body>
<div class="wrapper wrapper-content">
	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-primary">
				<div class="panel-heading">
					<h3 class="panel-title">
						<a class="panelButton"  href="#"  onclick="history.go(-1)"><i class="ti-angle-left"></i> 返回</a>
					</h3>
				</div>
				<div class="panel-body">
					<div class="form-group text-center">
						<%--<h3>${oALeave.act.taskName}</h3>--%>
					</div>
					<form:form id="inputForm" modelAttribute="construction" action="${ctx}/managementcenter/divide/save" method="post" class="form-horizontal">
					<form:hidden path="id"/>
						<input type="hidden" value="${fns:unescapeHtml(construction.id)}">

						<table class="table table-bordered">
							<tbody>
							<tr>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>申请人：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.userName)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>审核人：</label></td>
								<td class="width-35">
									<sys:userselect roleName="项目经理;施工单位" id="tuser" name="tuser.id" value="${construction.tuser.id}" labelName="tuser.name" labelValue="${construction.tuser.name}"
													cssClass="form-control required"/>
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">项目号：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.projectId)}
								</td>
								<td class="width-15 active"><label class="pull-right">项目名称：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.projectName)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">接收图纸时间：</label></td>
								<td class="width-35">
									<fmt:formatDate value="${construction.acceptDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
								</td>
								<td class="width-15 active"><label class="pull-right">备注说明：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.examineDate)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">停电线路：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.powerLine)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>停电范围（中间统一用中文分号）：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.blackoutArea)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">项目类型：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.projectType)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>政处初步判断：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.preliminaryJudgment)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">是否含土建（不含钢管杆）：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.civilEngineering)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>钢管杆基础类型：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.baseType)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">是否需要规划报批（150米及以上土建）：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.planApproval)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>设备改造类型：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.transformationType)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">改造设备尺寸及间隔数：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.transformationEquipment)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否含新设备命名：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.newNamed)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">是否含变电站新间隔投运：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.putInto)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否含非涉电电气施工：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.electricalConstruction)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">图纸标注的带电作业情况：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.theAssignment)}
							</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否含自动化：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.automation)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">二遥或三遥：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.remote)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>通信方式：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.communicationMode)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">柱开集中或就地：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.inSitu)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>环网柜DTU户外或户内：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.networkCabinet)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">站房DTU：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.station)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否为停电打包项目：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(construction.powerFailure)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">施工通道：</label></td>
								<td class="width-35">
									<input type='text' id='channel'  name="channel" class="form-control required"  value=""/>

								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>设备基础是否可以扩容：</label></td>
								<td class="width-35">
									<select id="capacity"  maxlength="100"  class=" form-control">
										<option value="是">是</option>
										<option value="否">否</option>
									</select>
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">现场设备尺寸：</label></td>
								<td class="width-35">
									<input type='text' id='sceneSize'  name="sceneSize" class="form-control required"  value=""/>

								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>最多可扩容尺寸：</label></td>
								<td class="width-35">
									<input type='text' id='capacitySize'  name="capacitySize" class="form-control required"  value=""/>

								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">方案安全隐患：</label></td>
								<td class="width-35">
									<input type='text' id='hiddenDanger'  name="hiddenDanger" class="form-control required"  value=""/>

								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否存在低压或通信线等影响施工：</label></td>
								<td class="width-35">
									<input type='text' id='influenceConstruction'  name="influenceConstruction" class="form-control required"  value=""/>

								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">立项重复：</label></td>
								<td class="width-35">
									<input type='text' id='projectRepetition'  name="projectRepetition" class="form-control required"  value=""/>

								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否已实施：</label></td>
								<td class="width-35">
									<input type='text' id='implemented'  name="implemented" class="form-control required"  value=""/>

								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">变压器无负荷：</label></td>
								<td class="width-35">
									<input type='text' id='transformer'  name="transformer" class="form-control required"  value=""/>

								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>线路名称一致性：</label></td>
								<td class="width-35">
									<input type='text' id='lineName'  name="lineName" class="form-control required"  value=""/>

								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">工程量是否一致：</label></td>
								<td class="width-35">
									<input type='text' id='quantities'  name="quantities" class="form-control required"  value=""/>

								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>设备、开关、杆号一致性：</label></td>
								<td class="width-35">
									<input type='text' id='rodNumber'  name="rodNumber" class="form-control required"  value=""/>

								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">政处类型：</label></td>
								<td class="width-35">
									<input type='text' id='administrationType'  name="administrationType" class="form-control required"  value=""/>

								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否存在严重政处问题（预判）：</label></td>
								<td class="width-35">
									<input type='text' id='politicalProblem'  name="politicalProblem" class="form-control required"  value=""/>

								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">前置条件：</label></td>
								<td class="width-35">
									<input type='text' id='precondition'  name="precondition" class="form-control required"  value=""/>

								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>DTU安放方式核查：</label></td>
								<td class="width-35">
									<input type='text' id='placementMode'  name="placementMode" class="form-control required"  value=""/>

								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">核查环网柜生产日期：</label></td>
								<td class="width-35">
									<input type='text' id='productionDate'  name="productionDate" class="form-control required"  value=""/>

								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>二次是否是集成模块：</label></td>
								<td class="width-35">
									<input type='text' id='IntegrateModule'  name="IntegrateModule" class="form-control required"  value=""/>

								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">PT是否需要更换：</label></td>
								<td class="width-35">
									<input type='text' id='needReplace'  name="needReplace" class="form-control required"  value=""/>

								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>设备是否有整体改造的必要：</label></td>
								<td class="width-35">
									<input type='text' id='overallTransformation'  name="overallTransformation" class="form-control required"  value=""/>

								</td>
							</tr>
							</tbody>
						</table>
					</form:form>



					<c:if test="${construction.act.taskDefKey != '' && !construction.act.finishTask && construction.act.isNextGatewaty}">
						<div class="row">
							<div class="col-sm-3"></div>
							<div class="col-sm-6">
								<div class="form-group text-center">
									<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="没有问题" />&nbsp;
									<input id="reject" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="存在问题" />
								</div>
							</div>
						</div>
					</c:if>
					<c:if test="${construction.act.taskDefKey != '' && !construction.act.finishTask && !construction.act.isNextGatewaty}">
						<div class="row">
							<div class="col-sm-3"></div>
							<div class="col-sm-6">
								<div class="form-group text-center">
									<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="办 理" />&nbsp;
								</div>
							</div>
						</div>
					</c:if>

					<c:if test="${not empty construction.id}">
						<act:flowChart procInsId="${construction.act.procInsId}"/>
						<act:histoicFlow procInsId="${construction.act.procInsId}" />
					</c:if>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
</html>